org.apache.lucene.search

## Class FieldValueFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.Filter
    - - org.apache.lucene.search.FieldValueFilter

- All Implemented Interfaces:
    Cloneable

  Deprecated.
  Use `FieldValueQuery` instead

      @Deprecated
      public class FieldValueFilter
      extends Filter

  A `Filter` that accepts all documents that have one or more values in a given field. This `Filter` request `Bits` from `LeafReader.getDocsWithField(java.lang.String)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldValueFilter(String field)` Deprecated. Creates a new `FieldValueFilter`
    `FieldValueFilter(String field, boolean negate)` Deprecated. Creates a new `FieldValueFilter`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Deprecated.
    `String` | `field()` Deprecated. Returns the field this filter is applied on.
    `DocIdSet` | `getDocIdSet(LeafReaderContext context, Bits acceptDocs)` Deprecated. Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
    `int` | `hashCode()` Deprecated.
    `boolean` | `negate()` Deprecated. Returns `true` iff this filter is negated, otherwise `false`
    `String` | `toString(String defaultField)` Deprecated. Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `rewrite`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, createWeight, getBoost, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldValueFilter

          public FieldValueFilter(String field)

      Deprecated.
      Creates a new `FieldValueFilter`
      Parameters:
        `field` - the field to filter

    - #### FieldValueFilter

          public FieldValueFilter(String field,
                          boolean negate)

      Deprecated.
      Creates a new `FieldValueFilter`
      Parameters:
        `field` - the field to filter
        `negate` - iff `true` all documents with no value in the given field are accepted.

  - ### Method Detail

    - #### field

          public String field()

      Deprecated.
      Returns the field this filter is applied on.
      Returns:
        the field this filter is applied on.

    - #### negate

          public boolean negate()

      Deprecated.
      Returns `true` iff this filter is negated, otherwise `false`
      Returns:
        `true` iff this filter is negated, otherwise `false`

    - #### getDocIdSet

          public DocIdSet getDocIdSet(LeafReaderContext context,
                             Bits acceptDocs)
                               throws IOException

      Deprecated.
      Description copied from class: `Filter`
      Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

      Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

      Specified by:
        `getDocIdSet` in class `Filter`
      Parameters:
        `context` - a `LeafReaderContext` instance opened on the index currently searched on. Note, it is likely that the provided reader info does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment. The provided context is always an atomic context, so you can call `LeafReader.fields()` on the context's reader, for example.
        `acceptDocs` - Bits that represent the allowable docs to match (typically deleted docs but possibly filtering other documents)
      Returns:
        a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: `null` should be returned if the filter doesn't accept any documents otherwise internal optimization might not apply in the case an empty `DocIdSet` is returned.
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Query`

    - #### toString

          public String toString(String defaultField)

      Deprecated.
      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.
      Specified by:
        `toString` in class `Query`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.